Skip to navigation

Update an existing contact list.

View as Markdown

Authentication

X-API-Keystring

API Key authentication. Generate your API key in the Gail Portal under Marketplace > Developers > REST APIs.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the contact list to update.

Request

The updated contact list details.
namestring or nullRequired
descriptionstring or nullRequired

Response

OK
namestring or null
descriptionstring or null
statusenum
Allowed values:
idstringOptionalformat: "uuid"
contactCountinteger or nullOptional

Errors

400
Bad Request Error
404
Not Found Error